/* $Header: /usr2/brugere/jbln/uc133/src/RCS/input.h,v 1.3 1995/03/06 23:18:47 jbln Exp jbln $ */


/* Input module defines */

			/* -- Input flags -- */
#define INPNUM 0x1	/* Input digits only */
#define INPHEX 0x2	/* Input hex-digits only */
#define INPHIDE 0x4	/* Don't show input (use '*' for every symbol) */
#define INPKEEP 0x8	/* Don't clear the input string from start */

			/* -- Input return codes -- */
#define INPMORE 0	/* Last inserted symbol was not esc or enter */
#define INPESC 1	/* Last symbol was escape -> restore old input */
#define INPENTER 2	/* Last symbol was enter -> keep new input */


   /* -- Define these as you want them -- */

#define inp_isleft(c) ((c) == terminal.left)
#define inp_isright(c) ((c) == terminal.right)
#define inp_isbackspace(c) ((c) == terminal.backspace)
#define inp_isenter(c) ((c) == terminal.enter)
#define inp_isescape(c) ((c) == key_cc || (c) == key_cd || (c) == 27)



   /* -- Don't touch -- */

typedef struct
{
   int x,y;
   char *str;
   char *savestr;
   int inpsize;
   int strsize;
   int flags;

   int p, o;
   int len;
   int first;
} INP;


  /* -- Some prototypes -- */

INP *inp_new();


int inp_addchr();
static int inp_isinput();
static int inp_test_first();
static int inp_putstr();
static int inp_clear_scr();
